<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <title>Task 30.35</title>
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="jumbotron signup-form col-sm-6 mx-auto">
                <div class="form-group ">
                    <h2>Sign up</h2>
                </div>
                <div class="form-group ">
                    <p class="hint-text">Please fill in this form to create account </p>
                </div>
                <div class="form-group ">
                    <hr>
                </div>
                <div class="form-group ">
                    <div class="row">
                        <div class="col">
                            <input type="text" class="form-control" id="inp-first-name" placeholder="First Name">
                        </div>
                        <div class="col">
                            <input type="text" class="form-control" id="inp-last-name" placeholder="Last Name">
                        </div>
                    </div>
                </div>
                <div class="form-group ">
                    <input type="email" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group ">
                    <input type="password" class="form-control" id="inp-password" placeholder="Password">
                </div>
                <div class="form-group ">
                    <input type="password" class="form-control" id="inp-confirm-password" placeholder="Confirm Password">
                </div>
                <div class="form-group ">
                    <input type="checkbox" id="check-confirm-accept"> I accept the
                    <a href="#">Terms of Use</a> &amp;
                    <a href="#">Privacy Policy</a>
                    <p id="p-agree-feedback" class="invalid-feedback">You must accept before submitting.</p>
                </div>
                <div class="form-group "> 
                    <button id="btn-sign-up" class="btn btn-primary btn-lg">Sign Up</button>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    var gEleFirstName = $("#inp-first-name");
    var gEleLastName = $("#inp-last-name");
    var gEleEmail = $("#inp-email");
    var gElePassword = $("#inp-password");
    var gEleConfirmPass= $("#inp-confirm-password");
    var gEleAcceptCheck = $("#check-confirm-accept");

    $(document).ready(function (){
        $("#btn-sign-up").on("click", onBtnSignUpClick);
    })

    function onBtnSignUpClick(){
        "use strict";

        var vUserObj = {
            firstname: "",
            lastname: "",
            email: "",
            password: "",
            confirmpassword: "",
            iAccept: false
        }

        getFormInputData(vUserObj);

        var vValid = validateForm(vUserObj);

        if(vValid) {
            showDataInConsole(vUserObj);
        }
    }

    function getFormInputData(paramUserDataObj){
        paramUserDataObj.firstname = gEleFirstName.val();
        paramUserDataObj.lastname = gEleLastName.val();
        paramUserDataObj.email = gEleEmail.val();
        paramUserDataObj.password = gElePassword.val();
        paramUserDataObj.confirmpassword = gEleConfirmPass.val();
        paramUserDataObj.iAccept = gEleAcceptCheck.is(":checked");
    }

    function validateForm(paramUserDataObj){
        var vRegexStr = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
        if(paramUserDataObj.firstname =="") {
            console.log("Chưa nhập First Name!");
            return false;
        }
        if(paramUserDataObj.lastname =="") {
            console.log("Chưa nhập Last Name!");
            return false;
        }
        if(paramUserDataObj.email =="") {
            console.log("Chưa nhập Email!");
            return false;
        }
        if(!vRegexStr.test(paramUserDataObj.email)) {
            console.log("Email không hợp lệ!");
            return false;
        }
        if(paramUserDataObj.password =="") {
            console.log("Vui lòng nhập password!");
            return false;
        }
        if(paramUserDataObj.password != paramUserDataObj.confirmpassword) {
            console.log("Confirm Password không khợp. Hãy kiểm tra lại!");
            return false;
        }
        if(!paramUserDataObj.iAccept){
            $("#p-agree-feedback").css("display", "block");
            console.log("You must accept before submitting.");
            return false;
        }
        else {
            $("#p-agree-feedback").css("display", "none");
        }
        return true;
    }

    function showDataInConsole(paramUserDataObj){
        console.log("Firstname: " + paramUserDataObj.firstname);
        console.log("Lastname: " + paramUserDataObj.lastname);
        console.log("Email: " + paramUserDataObj.email);
        console.log("Password: " + paramUserDataObj.password);
        console.log("Confirmpassword: " + paramUserDataObj.confirmpassword);
        console.log("I accept: " + paramUserDataObj.iAccept);
    }
</script>
</html>